import { useContext, useEffect } from "react";
import { useAPIMethod, MaintenanceModeBanner } from "@ess-ics/ce-ui-common";
import { apiContext } from "../../api/DeployApi";

export function MaintenanceMode() {
  const client = useContext(apiContext);
  const {
    value: mode,
    wrapper: getMode,
    abort: abortGetMode
  } = useAPIMethod({
    fcn: client.apis.Maintenance.getCurrentMode,
    call: false
  });

  useEffect(() => {
    getMode();
    return () => {
      abortGetMode();
    };
  }, [abortGetMode, getMode]);

  if (mode) {
    return <MaintenanceModeBanner {...mode} />;
  }

  return;
}
